AtteanX::Endpoint(3pm)

NAME
AtteanX::Endpoint - SPARQL 1.1 Protocol Endpoint

VERSION
This document describes AtteanX::Endpoint version 0.002

SYNOPSIS
  use v5.14;
  use Attean;

DESCRIPTION
The AtteanX::Endpoint class implements a PSGI SPARQL Protocol endpoint.

ATTRIBUTES

"planner"
"model"
"conf"
    A hash reference containing configuration data for the endpoint. For example:

      {
        endpoint  => {
          service_description => {
            named_graphs => 1,
            default => 1,
          },
          html => {
            embed_images => 1,
            image_width => 200,
            resource_links => 1,
          },
          load_data => 0,
          update => 0,
        }
      }

"graph"
    The Attean::API::IRI of the graph in the model that represents the default graph.

METHODS

"run ( $request )"
    Run the SPARQL request contained in the given $request object and return a response object.

"log_query ( $request, $sparql )"
    Log the $sparql query string after having been parsed from the $request but before evaluation.

"log_error ( $message )"

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/atteanx-endpoint/issues>.

SEE ALSO
<http://www.perlrdf.org/>

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2016 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.